// Code generated by private/model/cli/gen-api/main.go. DO NOT EDIT.

// Package augmentedairuntime provides the client and types for making API
// requests to Amazon Augmented AI Runtime.
//
// Amazon Augmented AI (Augmented AI) (Preview) is a service that adds human
// judgment to any machine learning application. Human reviewers can take over
// when an AI application can't evaluate data with a high degree of confidence.
//
// From fraudulent bank transaction identification to document processing to
// image analysis, machine learning models can be trained to make decisions
// as well as or better than a human. Nevertheless, some decisions require contextual
// interpretation, such as when you need to decide whether an image is appropriate
// for a given audience. Content moderation guidelines are nuanced and highly
// dependent on context, and they vary between countries. When trying to apply
// AI in these situations, you can be forced to choose between "ML only" systems
// with unacceptably high error rates or "human only" systems that are expensive
// and difficult to scale, and that slow down decision making.
//
// This API reference includes information about API actions and data types
// you can use to interact with Augmented AI programmatically.
//
// You can create a flow definition against the Augmented AI API. Provide the
// Amazon Resource Name (ARN) of a flow definition to integrate AI service APIs,
// such as Textract.AnalyzeDocument and Rekognition.DetectModerationLabels.
// These AI services, in turn, invoke the StartHumanLoop API, which evaluates
// conditions under which humans will be invoked. If humans are required, Augmented
// AI creates a human loop. Results of human work are available asynchronously
// in Amazon Simple Storage Service (Amazon S3). You can use Amazon CloudWatch
// Events to detect human work results.
//
// You can find additional Augmented AI API documentation in the following reference
// guides: Amazon Rekognition (https://aws.amazon.com/rekognition/latest/dg/API_Reference.html),
// Amazon SageMaker (https://aws.amazon.com/sagemaker/latest/dg/API_Reference.html),
// and Amazon Textract (https://aws.amazon.com/textract/latest/dg/API_Reference.html).
//
// See https://docs.aws.amazon.com/goto/WebAPI/sagemaker-a2i-runtime-2019-11-07 for more information on this service.
//
// See augmentedairuntime package documentation for more information.
// https://docs.aws.amazon.com/sdk-for-go/api/service/augmentedairuntime/
//
// Using the Client
//
// To contact Amazon Augmented AI Runtime with the SDK use the New function to create
// a new service client. With that client you can make API requests to the service.
// These clients are safe to use concurrently.
//
// See the SDK's documentation for more information on how to use the SDK.
// https://docs.aws.amazon.com/sdk-for-go/api/
//
// See aws.Config documentation for more information on configuring SDK clients.
// https://docs.aws.amazon.com/sdk-for-go/api/aws/#Config
//
// See the Amazon Augmented AI Runtime client AugmentedAIRuntime for more
// information on creating client for this service.
// https://docs.aws.amazon.com/sdk-for-go/api/service/augmentedairuntime/#New
package augmentedairuntime
